DfsWizardDefaultTraits< GR > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
DfsWizardDefaultTraits< GR > Struct Template Reference

## Detailed Description

### template<class GR>
struct lemon::DfsWizardDefaultTraits< GR >

Default traits class of dfs() function.

Template Parameters

  GR | Digraph type.

`#include <lemon/dfs.h>`

Inheritance diagram for DfsWizardDefaultTraits< GR >:
[legend]

## Public Types
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef Digraph::template NodeMap< typename Digraph::Arc > | PredMap
| The type of the map that stores the predecessor arcs of the DFS paths. More...
typedef NullMap< typename Digraph::Node, bool > | ProcessedMap
| The type of the map that indicates which nodes are processed. More...
typedef Digraph::template NodeMap< bool > | ReachedMap
| The type of the map that indicates which nodes are reached. More...
typedef Digraph::template NodeMap< int > | DistMap
| The type of the map that stores the distances of the nodes. More...
typedef lemon::Path< Digraph > | Path
| The type of the DFS paths. More...

## Static Public Member Functions
static PredMap * | createPredMap (const Digraph &g)
| Instantiates a PredMap. More...
static ProcessedMap * | createProcessedMap (const Digraph &g)
| Instantiates a ProcessedMap. More...
static ReachedMap * | createReachedMap (const Digraph &g)
| Instantiates a ReachedMap. More...
static DistMap * | createDistMap (const Digraph &g)
| Instantiates a DistMap. More...

## Member Typedef Documentation

typedef Digraph::template NodeMap<typename Digraph::Arc> PredMap

The type of the map that stores the predecessor arcs of the DFS paths. It must conform to the WriteMap concept.

typedef NullMap<typename Digraph::Node,bool> ProcessedMap

The type of the map that indicates which nodes are processed. It must conform to the WriteMap concept. By default, it is a NullMap.

typedef Digraph::template NodeMap<bool> ReachedMap

The type of the map that indicates which nodes are reached. It must conform to the ReadWriteMap concept.

typedef Digraph::template NodeMap<int> DistMap

The type of the map that stores the distances of the nodes. It must conform to the WriteMap concept.

typedef lemon::Path<Digraph> Path

The type of the DFS paths. It must conform to the Path concept.

## Member Function Documentation

static PredMap* createPredMap | ( | const Digraph & | g | ) |
| inlinestatic

This function instantiates a PredMap.

Parameters

  g | is the digraph, to which we would like to define the PredMap.

static ProcessedMap* createProcessedMap | ( | const Digraph & | g | ) |
| inlinestatic

This function instantiates a ProcessedMap.

Parameters

  g | is the digraph, to which we would like to define the ProcessedMap.

static ReachedMap* createReachedMap | ( | const Digraph & | g | ) |
| inlinestatic

This function instantiates a ReachedMap.

Parameters

  g | is the digraph, to which we would like to define the ReachedMap.

static DistMap* createDistMap | ( | const Digraph & | g | ) |
| inlinestatic

This function instantiates a DistMap.

Parameters

  g | is the digraph, to which we would like to define the DistMap